<?php
/**
 * The file that defines the bulk print admin area
 *
 * public-facing side of the site and the admin area.
 *
 * @link       https://sharabindu.com
 * @since      3.1.0
 *
 * @package    qrc_composer_pro
 * @subpackage qrc_composer_pro/admin
 */


class QRC_Shortcode_lite{

    public function __construct()
    {
    add_action('init', array($this ,'qrc_link_shortcode'));

}

function qrc_link_shortcode()
{
    
    add_shortcode('qrc_vcard_single', array($this ,'qrc_vcard_single_atts'));

}

function qrc_vcard_single_atts($atts)
{
    include QRC_COMPOSER_PATH . 'admin/extra/vcardShortcodeoptions.php';
    ob_start();
    if($qrcvcrad_wnload_hide == 'no'){
       $qr_download_ = '<a id="downloadvCradRand" download="' . $name . '.png">
           <button type="button" onClick="downloadvCrad'.$rand.'()" style="min-width:' . $size . 'px;background:'.$qrcvcrad_btnbg_color.';color:'.$qrcvcrad_dwnbtn_color.';font-weight: 600;border: 1px solid transparent;padding: 6px 0;margin-top: 12px;" class="uqr_code_btn">' . $download_qr . '</button>
           </a>';
    }else{
        $qr_download_ = '';
    }


    qrcode_vcard_single_gnr_lite($rand,$size,$name,$company,$subtitle,$mobile,$phone,$email,$website,$address,$note,$qr_download_);

    return ob_get_clean();

}
}
if(class_exists('QRC_Shortcode_lite')){

    new QRC_Shortcode_lite();
}