<?php

register_setting("qrc_composer_settings", "qrc_composer_settings", array(
    $this,
    'qrc_option_page_sanitize'
)); // sanitize_callback);


add_settings_section("section_setting", " ", array(
    $this,
    'settting_sec_func'
) , 'qrc_admin_sec');

add_settings_field("qr_code_size", esc_html__("QR Code Size", "qr-code-composer") , array(
    $this,
    "qr_input_size"
) , 'qrc_admin_sec', "section_setting");

add_settings_field("qr_checkbox", esc_html__("Exclude From Post type", "qr-code-composer") , array(
    $this,
    "qr_checkbox"
) , 'qrc_admin_sec', "section_setting");

add_settings_field("qr_alignment", esc_html__("QR Alignment", "qr-code-composer") , array(
    $this,
    "qr_alignment"
) , 'qrc_admin_sec', "section_setting");

if (class_exists('WooCommerce'))
{

    add_settings_field("wc_qr_alignment", esc_html__("QR Alignment (Product Page)", "qr-code-composer") , array(
        $this,
        "wc_qr_alignment"
    ) , 'qrc_admin_sec', "section_setting");

}
add_settings_field("qrc_wc_ptab_name", esc_html__("Change Text of Product Tab", "qr-code-composer") ,array($this , "qrc_wc_ptab_name"), 'qrc_admin_sec', "section_setting");

add_settings_field("qr_download_text", esc_html__("Download QR Button", "qr-code-composer") , array($this ,"qr_download_text"), 'qrc_admin_sec', "section_setting");

add_settings_field("qr_color_management", esc_html__("QR Color (PRO)", "qr-code-composer") , array(
    $this,
    "qr_color_management"
) , 'qrc_admin_sec', "section_setting");


add_settings_field("qr_bgcolor_management", esc_html__("QR Background Color (PRO)", "qr-code-composer") , array(
    $this,
    "qr_bgcolor_management"
) , 'qrc_admin_sec', "section_setting");


add_settings_field("qr_prev_management", esc_html__("Logo Upload (PRO)", "qr-code-composer") , array(
    $this,
    "qr_prev_management"
) , 'qrc_admin_sec', "section_setting");



add_settings_field("qr_stcode_management", esc_html__("Shortcode (PRO)", "qr-code-composer") ,array($this , "qr_stcode_management"), 'qrc_admin_sec', "section_setting");

