<div class="qrccompoer_pro-features">
    <div class="qr_wp_admin_code qrc_fee_">
        <ul class="qrc_nav_bar_code">
            <li>
                <a href="https://sharabindu.com/plugins/qr-code-composer/" target="_blank"><?php echo esc_html__('Get Pro', 'qr-code-composer') ?></a>
            </li>
            <li>
                <a href="https://qrcodecomposer.sharabindu.com/wp/docs/introduction/" target="_blank"><?php echo esc_html__('Docs', 'qr-code-composer') ?></a>
            </li>

            <li>
                <a href="https://sharabindu.com/live-chat/" target="_blank"><?php echo esc_html__('Live Chat', 'qr-code-composer') ?></a>
            </li>
            <li>
                <a href="https://qrcodecomposer.sharabindu.com/wp/" target="_blank"><?php echo esc_html__('Pro Demo', 'qr-code-composer') ?></a>
            </li>
            <li>
                <a href="https://sharabindu.com/plugins" target="_blank"><?php echo esc_html__('More Plugins', 'qr-code-composer') ?></a>
            </li>
        </ul>
        <ul class="qrc_hdaer_cnt_code">
            <li><img src=" <?php echo QRC_COMPOSER_URL . '/admin/img/logo.png' ?>" alt="qr logo" /></li>

            <li class="qrc_fd_cnt">
                <h3><?php echo esc_html('QR Code Composer', 'qr-code-composer') . ' ' . QRC_COMPOSER_VERSION; ?></h3>
                <small><?php echo esc_html('Boost the sales of products & services', 'qr-code-composer') ?></small>
            </li>
        </ul>
    </div>
    <div class="service-section">
        <h2 class="section-title"><?php echo esc_html__('Why Upgrade','qr-code-composer'); ?></h2>
        <div class="service-list">
            <div class="qrc_pro-colum">
                <h3><?php echo esc_html__('Qr Code Color','qr-code-composer'); ?></h3>
                <img src="<?php echo esc_attr($qrc_image_url .'color.png') ; ?>" alt="QRC Composer" />
                <p><?php echo esc_html__('You can easily use Unlimited QR Color in Pro version','qr-code-composer'); ?></p>
            </div>
            <div class="qrc_pro-colum">
                <h3><?php echo esc_html__('Qr Code Background Color','qr-code-composer'); ?></h3>
                <img src="<?php echo esc_attr( $qrc_image_url .'bg-color.png') ; ?>" alt="QRC Composer" />
                <p><?php echo esc_html__('Easily use Unlimite Background Color in Pro version, Which will make the QR code interesting','qr-code-composer'); ?></p>
            </div>
            <div class="qrc_pro-colum">
                <h3><?php echo esc_html__('Custom Logo Upload','qr-code-composer'); ?></h3>
                <img src="<?php echo esc_attr( $qrc_image_url .'logo_qr.png') ; ?>" alt="QRC Composer" />
                <p><?php echo esc_html__('You canEasily upload brand logo/Company logo just click a button , it is really awesme','qr-code-composer'); ?></p>
            </div>
            <div class="qrc_pro-colum">
                <h3><?php echo esc_html__('Qr Code Widget API','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('Widget', 'qr-code-composer') ?></h2>
                </div>
                <p><?php echo esc_html__('Here you can Create Qr code with various option,modify size,color,Background.upload brand logo','qr-code-composer'); ?></p>
            </div>
            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('Qr Code Shortcode','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2>  <?php echo esc_html('Shortcode', 'qr-code-composer') ?></h2>
                </div>
                <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/qrc-shortcode/"> <?php echo esc_html('View Demo', 'qr-code-composer') ?></a></button>
            </div>
            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('Elementor Addon Supported','qr-code-composer'); ?></h3>

                <img src="<?php echo esc_attr( $qrc_image_url .'elemr-min.png') ; ?>" alt="QRC Composer" />
                <p>
                    <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/"><?php echo esc_html('View Demo', 'qr-code-composer') ?></a></button>
                </p>
            </div>
            <div class="qrc_pro-colum">
                <h3><?php echo esc_html__('QR Image Bulk Print','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('QR Print', 'qr-code-composer') ?></h2>
                </div>
                <p><?php echo esc_html__('User Can Bulk Print as Pdf form backed & frontend. Available option, Print setting page,print page,Pagination','qr-code-composer'); ?></p>
            </div>

            <div class="qrc_pro-colum">
                <h3><?php echo esc_html__('QR Image List Download','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('QR Download', 'qr-code-composer') ?></h2>
                </div>
                <p><?php echo esc_html__('User Can Download Bulk QR from  backed & frontend. Available option: Post type,Pagination, download per Page','qr-code-composer'); ?></p>
            </div>

            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('QR Code for Wifi','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('Wifi Access', 'qr-code-composer') ?></h2>
                </div>
                <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/qrc-shortcode/"><?php echo esc_html('View Demo ', 'qr-code-composer') ?></a></button>
            </div>

            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('QR Code for Whatsapp','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('WhatsApp Chat', 'qr-code-composer') ?></h2>
                </div>
                <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/qrc-shortcode/"><?php echo esc_html('View Demo ', 'qr-code-composer') ?></a></button>
            </div>
            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('Custom Link QR code','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('Custom Link ', 'qr-code-composer') ?></h2>
                </div>
                <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/qrc-shortcode/"><?php echo esc_html('View Demo ', 'qr-code-composer') ?></a></button>
            </div>
            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('QR Code for Map','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('Google Map ', 'qr-code-composer') ?></h2>
                </div>
                <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/"><?php echo esc_html('View Demo ', 'qr-code-composer') ?></a></button>
            </div>
            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('QR Code for Custom Text','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('Custom Text', 'qr-code-composer') ?></h2>
                </div>
                <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/"><?php echo esc_html('View Demo ', 'qr-code-composer') ?></a></button>
            </div>
            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('QR Code for Phone Number','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('Phone Number ', 'qr-code-composer') ?></h2>
                </div>
                <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/qrc-shortcode/"><?php echo esc_html('View Demo ', 'qr-code-composer') ?></a></button>
            </div>

            <div class="qrc_pro-colum live">
                <h3><?php echo esc_html__('vCard Meta Box','qr-code-composer'); ?></h3>
                <div class="pro_fxt">
                    <h2> <?php echo esc_html('Bulk vCard Generator', 'qr-code-composer') ?></h2>
                </div>
                <button type="button" class="button button-secondary qrc_brtjhif"><a href="https://qrcodecomposer.sharabindu.com/wp/card/elizabeth-i-brown/"><?php echo esc_html('View Demo ', 'qr-code-composer') ?></a></button>
            </div>
        </div>
    </div>

    <div class="cta-section" style="background-image: linear-gradient(45deg, #d05249 33%, #9c27b0 100%);">
        <div class="feature-thumb">
            <img src="<?php echo esc_attr( $qrc_image_url .'qr_code_pro.png') ; ?>" alt="Qr Code Composer" />
        </div>
        <div class="content-area">
            <h2><?php echo esc_html__('Get Now','qr-code-composer'); ?></h2>
            <p><?php echo esc_html__('With all the advance features you get it’s tough to resist shopping for QRC Composer Pro.','qr-code-composer'); ?></p>
            <a href="https://sharabindu.com/plugins/qr-code-composer/" class="btn">
                <?php echo esc_html__('I Want To Buy Now','qr-code-composer'); ?>

                <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 17.5 12.5" xml:space="preserve">
                    <path
                        d="M10.6,1.5c-0.4-0.4-0.4-0.9,0-1.3c0.4-0.3,0.9-0.3,1.3,0l5.3,5.3c0.2,0.2,0.3,0.4,0.3,0.7s-0.1,0.5-0.3,0.7
                l-5.3,5.3c-0.4,0.4-0.9,0.4-1.3,0c-0.4-0.4-0.4-0.9,0-1.3l3.8-3.8H0.9C0.4,7.1,0,6.7,0,6.2s0.4-0.9,0.9-0.9h13.5L10.6,1.5z
                 M10.6,1.5"
                        class="st0"
                    ></path>
                </svg>
            </a>
        </div>
    </div>
</div>
